Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.util
Class TestCaseImplementChecker

    java.lang.Object
      org.apache.cactus.internal.util.TestCaseImplementChecker

public final class TestCaseImplementChecker
extends java.lang.Object

Utilities to check TestCase implementation.

Version:
  $Id: TestCaseImplementChecker.java 238991 2004-05-22 11:34:50Z vmassol $

Method Summary
`static void` | `checkAsBeginMethod(java.lang.reflect.Method theMethod)` Check if the method is suitable for a begin method.
`static void` | `checkAsEndMethod(java.lang.reflect.Method theMethod)` Check if the method is suitable for a end method.
`static void` | `checkTestName(junit.framework.Test theTest)` Check if the Test to run is properly implemented or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkTestName

    public static void checkTestName(junit.framework.Test theTest)
                              throws TestCaseImplementError

  Check if the Test to run is properly implemented or not.

  Parameters:
    `theTest` - the test to check
  Throws:
    `TestCaseImplementError` - if has no name

### checkAsBeginMethod

    public static void checkAsBeginMethod(java.lang.reflect.Method theMethod)
                                   throws TestCaseImplementError

  Check if the method is suitable for a begin method. Throws `AssertionFailedError` if at least one of following conditions is failed:
  - return type of the method is void
  - the method is public
  - the method accept a parameter of type `Request`

  Parameters:
    `theMethod` - the method to check
  Throws:
    `TestCaseImplementError` - if the method is not suitable for Cactus begin method

### checkAsEndMethod

    public static void checkAsEndMethod(java.lang.reflect.Method theMethod)
                                 throws TestCaseImplementError

  Check if the method is suitable for a end method. Throws `AssertionFailedError` if at least one of following conditions is failed:
  - return type of the method is void
  - the method is public
  - the method accept one parameter

  Parameters:
    `theMethod` - the method to check
  Throws:
    `TestCaseImplementError` - if the method is not suitable for Cactus end method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.